// HTML --> JavaScript
// http://www.accessify.com/tools-and-wizards/developer-tools/html-javascript-convertor/

// sidebar
translations["_load_file"] = {"Czech": "Otevřít GPX/KML/..", "English": "Load GPX/KML/.."};

translations["_load_file_title"] = {"Czech": "Otevře a zobrazí soubor. Podporované formáty: GPX, KML, WPT, PLT + linie/polygonu GSAKu a Geogetu.", 
  "English": "Opens and displays a file. Supported formats: GPX, KML, WPT, PLT + GSAK and Geoget lines/polygons."},

translations["_animation"] = {"Czech": "Animace rodiny", "English": "Animate family"},
translations["_labels"] = {"Czech": "Názvy kešek", "English": "Cache labels"},
translations["_circles"] = {"Czech": "Kolizní kruhy 161m", "English": "Collision circles"},
translations["_spider"] = {"Czech": "Spojnice od rodiče", "English": "Lines from parent"},
translations["_scale"] = {"Czech": "Měřítko mapy", "English": "Map scale"},
translations["_coordinates"] = {"Czech": "Zobrazit souřadnice", "English": "Coordinates window"},

translations["_animation_title"] = {"Czech": "Po najetí myší na bod animuje všechny body patřící do rodiny. Zkratka: A (jako Animace)", 
  "English": "Animates all points within a family. Shortcut: A (like Animation)"},
translations["_labels_title"] = {"Czech": "Zobrazí na mapě u všech kešek názvy. Lze dočasně vypnout nebo zapnout pomocí SHIFT. Zkratka: Y", 
  "English": "Displays labels of all caches on the map. Can be temporarily (de)activated using SHIFT. Shortcut: Y"},
translations["_circles_title"] = {"Czech": "Zobrazí kolizní kruhy 161 m u všech fyzických bodů (tradiční kešky, finální body a stage multicache). Zkratka: R (jako Rádius)", 
  "English": "Displays collision circles 161 m (0.1 mile) around all physical caches (Traditional Cache, Final Location, Stages of a Multicache). Shortcut: R (like Radius)"},
translations["_spider_title"] = {"Czech": "Po najetí na bod zobrazí spojnice od rodiče (hlavního bodu kešky) ke všem dětem (child waypointům). Zkratka: L (jako Linie)", 
  "English": "Displays lines from parent to children on hovering over any point in the family. Shortcut: L (like Line)"},
translations["_scale_title"] = {"Czech": "Zobrazí měřítko mapy. Pouze Mapy.cz a ZM10.", 
  "English": "Displays map scale. Only Mapy.cz and ZM10."},
translations["_coordinates_title"] = {"Czech": "Zobrazí okno se souřadnicemi, na kterých se právě nachází myš.", 
  "English": "Display window with coordinates under the mouse cursor."},

translations["Hide Children"] = {"Czech": "Skrýt děti"},
translations["Hide Parents"] = {"Czech": "Skrýt rodiče"},
translations["Hide All"] = {"Czech": "Skrýt vše"},
translations["Hybrid"] = {"Czech": "Hybrid"},
translations["Relief"] = {"Czech": "Reliéf"},
translations["Trail"] = {"Czech": "Turistické trasy"},
translations["Bike"] = {"Czech": "Cyklotrasy"},
translations["_land_registry"] = {"Czech": "Katastrální mapa", "English": "Land Registry (CZ)"},
translations["Google Hybrid"] = {"Czech": "Google Hybrid"},

translations["_g_streetview_checkbox_title"] = {"Czech": "Zobrazí vrstvu ukazující dostupnost Street View. Pro zobrazení Street View samotného použijte pravé tlačítko na požadovaném místě.", 
  "English": "Displays Street View availability. For showing actual Street View window, use context menu."},

translations["_katastr_checkbox_title"] = {"Czech": "Pro zobrazení informací o objektu či parcele, klikněte na dané místo pravým tlačítkem a pak použijte volbu 'Otevřít stránku v katastru'.", 
  "English": "Works only within the Czech Republic. For showing extended information about a place, use context menu."},

translations["Cache Filter"] = {"Czech": "WP Filtr"},
translations["_show_all"] = {"Czech": "Zobrazit vše", "English": "Show all"},
translations["_hide_all"] = {"Czech": "Skrýt vše", "English": "Hide all"},

(function(){
  function runLI(target)
  {
    // get LI
    if (target.parentNode.tagName.toLowerCase() == "li")
      target = target.parentNode;
    
    // filter out non-LI elements or empty LI (separator)  
    if (target.tagName.toLowerCase() != "li" || !target.firstChild)
      return;
    
    if (target.id == "refresh_button")
    {
      window.location.href = "gsak://%FF/macro:silent/HTML_Custom_MapyCZ.gsk";
      //window.location.href = "gsak://%FF/macro:silent/HTML_Custom_MapyCZ\\Update_Database.gsk?refresh/" + cachecode;
      //window.location.href = "gsak://%FF/refreshbrowser";
      return;
    }
    
    if (target.id == "load_file_button")
    {
      loadFile("fileInput2", target);
      return;
    }    

    if (target.firstChild.tagName.toLowerCase() == "input" && target.firstChild.type == "checkbox")
      toggleSetting(target.firstChild.id.match(/^(\w+)_checkbox/)[1], "toggle") 
  }

  //########################################################################################
  // menu sidebar

  var menu_sidebar_html="";
  menu_sidebar_html += "<div class=\"sidebar\" id=\"map_sidebar\" style=\"display: none\">";
  menu_sidebar_html += "  <ul class=\"sidebar_checkboxes\">";
  menu_sidebar_html += "    <li class=\"button GSAK_Only\" id=\"refresh_button\" data-tr>Refresh<\/li>";
  menu_sidebar_html += "    <li class=\"button\" id=\"load_file_button\" data-tr title=\"" + tr("_load_file_title") + "\">_load_file<\/li>";      
  menu_sidebar_html += "    <li class=\"li_separator\"><\/li>";
  menu_sidebar_html += "    <li id=\"li_animation\" title=\"" + tr("_animation_title") + "\"><input type=\"checkbox\" id=\"animation_checkbox\"><span data-tr>_animation<\/span><\/li>";
  menu_sidebar_html += "    <li title=\"" + tr("_labels_title") + "\"><input type=\"checkbox\" id=\"bubble_checkbox\"><span data-tr>_labels<\/span><\/li>";
  menu_sidebar_html += "    <li title=\"" + tr("_circles_title") + "\"><input type=\"checkbox\" id=\"circles_checkbox\"><span data-tr>_circles<\/span><\/li>";
  menu_sidebar_html += "    <li title=\"" + tr("_spider_title") + "\"><input type=\"checkbox\" id=\"spider_checkbox\"><span data-tr>_spider<\/span><\/li>";
  menu_sidebar_html += "    <li title=\"" + tr("_scale_title") + "\"><input type=\"checkbox\" id=\"scale_checkbox\"><span data-tr>_scale<\/span><\/li>";
  menu_sidebar_html += "    <li title=\"" + tr("_coordinates_title") + "\"><input type=\"checkbox\" id=\"coordinates_box_checkbox\"><span data-tr>_coordinates<\/span><\/li>";   
  menu_sidebar_html += "    <li class=\"li_separator\"><\/li>";
  menu_sidebar_html += "    <li><input type=\"checkbox\" id=\"hybrid_checkbox\"><span data-tr>Hybrid<\/span><\/li>";
  menu_sidebar_html += "    <li><input type=\"checkbox\" id=\"relief_checkbox\"><span data-tr>Relief<\/span><\/li>";
  menu_sidebar_html += "    <li><input type=\"checkbox\" id=\"trail_checkbox\"><span data-tr>Trail<\/span><\/li>";
  menu_sidebar_html += "    <li><input type=\"checkbox\" id=\"bike_checkbox\"><span data-tr>Bike<\/span><\/li>";
  menu_sidebar_html += "    <li><input type=\"checkbox\" id=\"g_hybrid_checkbox\"><span data-tr>Google Hybrid<\/span><\/li>";
  menu_sidebar_html += "    <li title=\"" + tr("_g_streetview_checkbox_title") + "\"><input type=\"checkbox\" id=\"g_streetview_checkbox\"><span data-tr>Street View<\/span><\/li>";
  menu_sidebar_html += "    <li title=\"" + tr("_katastr_checkbox_title") + "\"><input type=\"checkbox\" id=\"katastr_checkbox\"><span data-tr>_land_registry<\/span><\/li>";
  menu_sidebar_html += "  <\/ul>";
  menu_sidebar_html += "<\/div>";

//   <div class="sidebar" id="map_sidebar" style="display: none">
//     <ul class="sidebar_checkboxes">
//       <li class="button GSAK_Only" id="refresh_button" data-tr>Refresh</li>";
//       <li class="button" id="load_file_button" data-tr>Load GPX</li>"; 
//       <li class="li_separator"></li>
//       <li id="li_animation"><input type="checkbox" id="animation_checkbox"><span data-tr>Animation</span></li>
//       <li><input type="checkbox" id="bubble_checkbox"><span data-tr>Labels</span></li>
//       <li><input type="checkbox" id="circles_checkbox"><span data-tr>Circles</span></li>
//       <li><input type="checkbox" id="spider_checkbox"><span data-tr>Spider</span></li>
//       <li><input type="checkbox" id="scale_checkbox"><span data-tr>Scale</span></li>
//       <li><input type="checkbox" id="coordinates_box_checkbox"><span data-tr>Coordinates</span></li>
//       <li class="li_separator"></li>
//       <li><input type="checkbox" id="hybrid_checkbox"><span data-tr>Hybrid</span></li>
//       <li><input type="checkbox" id="relief_checkbox"><span data-tr>Relief</span></li>
//       <li><input type="checkbox" id="trail_checkbox"><span data-tr>Trail</span></li>
//       <li><input type="checkbox" id="bike_checkbox"><span data-tr>Bike</span></li>
//       <li><input type="checkbox" id="g_hybrid_checkbox"><span data-tr>Google Hybrid</span></li>
//       <li><input type="checkbox" id="g_streetview_checkbox"><span data-tr>Street View</span></li>
//     </ul>
//   </div>

  var menu_sidebar = document.createElement("div");
  menu_sidebar.innerHTML = menu_sidebar_html;
  menu_sidebar = menu_sidebar.firstChild;  
  //var menu_sidebar = document.getElementById("map_sidebar");
  
  var menuSidebarInit = false;

  /**** left click on button - show sidebar ****/
  EventUtil.addHandler(sidebar_button, "click", function()
  {
    if (!menuSidebarInit)
    {
      sidebars_div.appendChild(menu_sidebar);
      
      // set checkboxes
      document.getElementById("animation_checkbox").checked = settings.display_animation;
      document.getElementById("bubble_checkbox").checked = contains_class(mapadiv, "marker_bubble");
      document.getElementById("circles_checkbox").checked = settings.display_circles;
      document.getElementById("spider_checkbox").checked = settings.display_spider;
      
      // scale
      var scaleCheckbox = document.getElementById("scale_checkbox");
      scaleCheckbox.checked = settings.display_scale;

      // coordinates box
      var coordinatesBoxCheckbox = document.getElementById("coordinates_box_checkbox");
      coordinatesBoxCheckbox.checked = settings.display_coordinates_box;

      // transparent layers
      for (transp in {"hybrid": "", "relief": "", "trail": "", "bike": "", "katastr": "", "g_hybrid": "", "g_streetview": ""})
      {
        var val = settings.transparent_layers[settings.map][transp];
        var checkbox = document.getElementById(transp + "_checkbox");
        checkbox.parentNode.style.display = (typeof val === 'undefined') ? "none" : "";
        checkbox.checked = val;
      }
      
      // translate strings
      translate_strings("#map_sidebar *[data-tr]");
      
      menuSidebarInit = true;
    }
    
    // hide / show scale checkbox based on projection
    document.getElementById("scale_checkbox").parentNode.style.display = (m.isUTM33()) ? "" : "none";    
  
    // show / hide sidebar
    menu_sidebar.style.display = "block";
  });

  /**** mouseout - hide sidebar ****/
  EventUtil.addMouseHandler(menu_sidebar, "mouseleave", function(e, target)
  {
    menu_sidebar.style.display = "";
  });    

  /**** left click on sidebar ****/
  EventUtil.addHandler(menu_sidebar, "click", function(e, target)
  {
    var origTarget = target;
    
    // --- handle left menu ---
    runLI(target);
  });

  //########################################################################################
  // filder sidebar

  var filter_siderbar_html="";
  filter_siderbar_html += "<div class=\"sidebar\" id=\"filter_sidebar\" style=\"display: none\">";
  filter_siderbar_html += "  <ul class=\"sidebar_checkboxes\">";
  filter_siderbar_html += "    <li><input type=\"checkbox\" id=\"hide_children_checkbox\"><span data-tr>Hide Children<\/span><\/li>";
  filter_siderbar_html += "    <li><input type=\"checkbox\" id=\"hide_parents_checkbox\"><span data-tr>Hide Parents<\/span><\/li>";
  filter_siderbar_html += "    <li><input type=\"checkbox\" id=\"hide_checkbox\"><span data-tr>Hide All<\/span><\/li>";
  filter_siderbar_html += "  <\/ul>";
  filter_siderbar_html += "";
  filter_siderbar_html += "  <div id=\"sidebar_cache_filter\">";
  filter_siderbar_html += "";
  filter_siderbar_html += "    <div id=\"cache_filter_header\">";
  filter_siderbar_html += "      <div id=\"cache_filter_label\" data-tr>Cache Filter<\/div>";
  filter_siderbar_html += "      <div id=\"cache_filter_buttons\">";
  filter_siderbar_html += "        <div class=\"button\" id=\"cache_filter_show_all\" data-tr>_show_all<\/div>";
  filter_siderbar_html += "        <div class=\"button\" id=\"cache_filter_hide_all\" data-tr>_hide_all<\/div>";
  filter_siderbar_html += "      <\/div>";
  filter_siderbar_html += "    <\/div>";
  filter_siderbar_html += "";
  filter_siderbar_html += "    <div id=\"cache_filter_parents\">";
  filter_siderbar_html += "      <div class=\"cacheimg_parent cacheimg_T\" data-cachetype=\"T\"><\/div>";
  filter_siderbar_html += "      <div class=\"cacheimg_parent cacheimg_M\" data-cachetype=\"M\"><\/div>";
  filter_siderbar_html += "      <div class=\"cacheimg_parent cacheimg_U\" data-cachetype=\"U\"><\/div>";
  filter_siderbar_html += "      <div class=\"cacheimg_parent cacheimg_B\" data-cachetype=\"B\"><\/div>";
  filter_siderbar_html += "      <div class=\"cacheimg_parent cacheimg_R\" data-cachetype=\"R\"><\/div>";
  filter_siderbar_html += "      <div class=\"cacheimg_parent cacheimg_I\" data-cachetype=\"I\"><\/div>";
  filter_siderbar_html += "      <div class=\"clear_both\"><\/div>";
  filter_siderbar_html += "      <div class=\"cacheimg_parent cacheimg_Y\" data-cachetype=\"Y\"><\/div>";
  filter_siderbar_html += "      <div class=\"cacheimg_parent cacheimg_W\" data-cachetype=\"W\"><\/div>";
  filter_siderbar_html += "      <div class=\"cacheimg_parent cacheimg_V\" data-cachetype=\"V\"><\/div>";
  filter_siderbar_html += "      <div class=\"cacheimg_parent cacheimg_E\" data-cachetype=\"E\"><\/div>";
  filter_siderbar_html += "      <div class=\"cacheimg_parent cacheimg_Z\" data-cachetype=\"Z\"><\/div>";
  filter_siderbar_html += "      <div class=\"cacheimg_parent cacheimg_C\" data-cachetype=\"C\"><\/div>";
  filter_siderbar_html += "      <div class=\"clear_both\"><\/div>";
  filter_siderbar_html += "      <div class=\"cacheimg_parent cacheimg_L\" data-cachetype=\"L\"><\/div>";
  filter_siderbar_html += "      <div class=\"cacheimg_parent cacheimg_O\" data-cachetype=\"O\"><\/div>";
  filter_siderbar_html += "      <div class=\"cacheimg_parent cacheimg_A\" data-cachetype=\"A\"><\/div>";
  filter_siderbar_html += "      <div class=\"cacheimg_parent cacheimg_G\" data-cachetype=\"G\"><\/div>";
  filter_siderbar_html += "      <div class=\"cacheimg_parent cacheimg_X\" data-cachetype=\"X\"><\/div>";
  filter_siderbar_html += "      <div class=\"cacheimg_parent cacheimg_F\" data-cachetype=\"F\"><\/div>";
  filter_siderbar_html += "      <div class=\"clear_both\"><\/div>";
  filter_siderbar_html += "      <div class=\"cacheimg_parent cacheimg_H\" data-cachetype=\"H\"><\/div>";
  filter_siderbar_html += "      <div class=\"cacheimg_parent cacheimg_D\" data-cachetype=\"D\"><\/div>";
  filter_siderbar_html += "      <div class=\"cacheimg_parent cacheimg_P\" data-cachetype=\"P\"><\/div>";
  filter_siderbar_html += "      <div class=\"clear_both\"><\/div>";
  filter_siderbar_html += "    <\/div>";
  filter_siderbar_html += "    ";
  filter_siderbar_html += "    <div id=\"cache_filter_children\">";
  filter_siderbar_html += "      <div class=\"cacheimg_child cacheimg_FinalLocation\" data-cachetype=\"FinalLocation\"><\/div>";
  filter_siderbar_html += "      <div class=\"cacheimg_child cacheimg_ParkingArea\" data-cachetype=\"ParkingArea\"><\/div>";
  filter_siderbar_html += "      <div class=\"cacheimg_child cacheimg_QuestiontoAnswer\" data-cachetype=\"QuestiontoAnswer\"><\/div>";
  filter_siderbar_html += "      <div class=\"cacheimg_child cacheimg_StagesofaMulticache\" data-cachetype=\"StagesofaMulticache\"><\/div>";
  filter_siderbar_html += "      <div class=\"cacheimg_child cacheimg_Trailhead\" data-cachetype=\"Trailhead\"><\/div>";
  filter_siderbar_html += "      <div class=\"cacheimg_child cacheimg_ReferencePoint\" data-cachetype=\"ReferencePoint\"><\/div>";
  filter_siderbar_html += "      <div class=\"cacheimg_child cacheimg_Corrected\" data-cachetype=\"Corrected\"><\/div>";
  filter_siderbar_html += "    <\/div>";
  filter_siderbar_html += "  <\/div>";
  filter_siderbar_html += "<\/div>";
  
  // <div class="sidebar" id="filter_sidebar" style="display: none">
  //   <ul class="sidebar_checkboxes">
  //     <li><input type="checkbox" id="hide_children_checkbox"><span data-tr>Hide Children</span></li>
  //     <li><input type="checkbox" id="hide_parents_checkbox"><span data-tr>Hide Parents</span></li>
  //     <li><input type="checkbox" id="hide_checkbox"><span data-tr>Hide All</span></li>
  //   </ul>
  // 
  //   <div id="sidebar_cache_filter">
  // 
  //     <div id="cache_filter_header">
  //       <div id="cache_filter_label" data-tr>Cache Filter</div>
  //       <div id="cache_filter_buttons">
  //         <div class="button" id="cache_filter_show_all" data-tr>_show_all</div>
  //         <div class="button" id="cache_filter_hide_all" data-tr>_hide_all</div>
  //       </div>
  //     </div>
  // 
  //     <div id="cache_filter_parents">
  //       <div class="cacheimg_parent cacheimg_T" data-cachetype="T"></div>
  //       <div class="cacheimg_parent cacheimg_M" data-cachetype="M"></div>
  //       <div class="cacheimg_parent cacheimg_U" data-cachetype="U"></div>
  //       <div class="cacheimg_parent cacheimg_B" data-cachetype="B"></div>
  //       <div class="cacheimg_parent cacheimg_R" data-cachetype="R"></div>
  //       <div class="cacheimg_parent cacheimg_I" data-cachetype="I"></div>
  //       <div class="clear_both"></div>
  //       <div class="cacheimg_parent cacheimg_Y" data-cachetype="Y"></div>
  //       <div class="cacheimg_parent cacheimg_W" data-cachetype="W"></div>
  //       <div class="cacheimg_parent cacheimg_V" data-cachetype="V"></div>
  //       <div class="cacheimg_parent cacheimg_E" data-cachetype="E"></div>
  //       <div class="cacheimg_parent cacheimg_Z" data-cachetype="Z"></div>
  //       <div class="cacheimg_parent cacheimg_C" data-cachetype="C"></div>
  //       <div class="clear_both"></div>
  //       <div class="cacheimg_parent cacheimg_L" data-cachetype="L"></div>
  //       <div class="cacheimg_parent cacheimg_O" data-cachetype="O"></div>
  //       <div class="cacheimg_parent cacheimg_A" data-cachetype="A"></div>
  //       <div class="cacheimg_parent cacheimg_G" data-cachetype="G"></div>
  //       <div class="cacheimg_parent cacheimg_X" data-cachetype="X"></div>
  //       <div class="cacheimg_parent cacheimg_F" data-cachetype="F"></div>
  //       <div class="clear_both"></div>
  //       <div class="cacheimg_parent cacheimg_H" data-cachetype="H"></div>
  //       <div class="cacheimg_parent cacheimg_D" data-cachetype="D"></div>
  //       <div class="cacheimg_parent cacheimg_P" data-cachetype="P"></div>
  //       <div class="clear_both"></div>
  //     </div>
  //     
  //     <div id="cache_filter_children">
  //       <div class="cacheimg_child cacheimg_FinalLocation" data-cachetype="FinalLocation"></div>
  //       <div class="cacheimg_child cacheimg_ParkingArea" data-cachetype="ParkingArea"></div>
  //       <div class="cacheimg_child cacheimg_QuestiontoAnswer" data-cachetype="QuestiontoAnswer"></div>
  //       <div class="cacheimg_child cacheimg_StagesofaMulticache" data-cachetype="StagesofaMulticache"></div>
  //       <div class="cacheimg_child cacheimg_Trailhead" data-cachetype="Trailhead"></div>
  //       <div class="cacheimg_child cacheimg_ReferencePoint" data-cachetype="ReferencePoint"></div>
  //       <div class="cacheimg_child cacheimg_Corrected" data-cachetype="Corrected"></div>
  //     </div>
  //   </div>
  // </div> 
  
  var filter_sidebar = document.createElement("div");
  filter_sidebar.innerHTML = filter_siderbar_html;
  filter_sidebar = filter_sidebar.firstChild;  
  //var filter_sidebar = document.getElementById("filter_sidebar");

  var filterSidebarInit = false;
  
  /**** left click on button - show sidebar ****/
  EventUtil.addHandler(filter_button, "click", function()
  {
    if (!filterSidebarInit)
    {
      sidebars_div.appendChild(filter_sidebar);
      
      // set checkboxes
      document.getElementById("hide_children_checkbox").checked = settings["hide_children_local"];
      document.getElementById("hide_parents_checkbox").checked = settings["hide_parents_local"];
      document.getElementById("hide_checkbox").checked = contains_class(mapadiv, "marker_hide");
    
      /**** init cache filter with caches that are present ****/
      var nodes = document.querySelectorAll("#sidebar_cache_filter .cacheimg_parent, #sidebar_cache_filter .cacheimg_child");
      
      // get available cache types
      var cachetypes = {};
      
      for (var i in wp)
        cachetypes[wp[i].CacheType] = true;
            
      // parse and set sidebar DIVs (cache icons)
      for (var i = 0, len = nodes.length; i < len; i++)
      {
        var cachetype = nodes[i].getAttribute("data-cachetype");
        nodes[i].title = CacheNames[cachetype];
        add_class(nodes[i], cachetypes[cachetype] ? "active" : "disabled");
      }
      
      // translate strings
      translate_strings("#filter_sidebar *[data-tr]");   
      
      filterSidebarInit = true;    
    }
  
    // show / hide sidebar
    filter_sidebar.style.display = "block";
  });

  /**** mouseout - hide sidebar ****/
  EventUtil.addMouseHandler(filter_sidebar, "mouseleave", function(e, target)
  {
    filter_sidebar.style.display = "";
  });
  
  /**** left click on sidebar ****/
  EventUtil.addHandler(filter_sidebar, "click", function(e, target)
  {
    var origTarget = target;
    
    // --- handle cache filter ---
    
    // handle click on cache icon
    var cachetype = target.getAttribute("data-cachetype");
    
    if (cachetype)
    {
      if (contains_class(target, "active")) 
        toggleSetting("disable_cache", target);
      else if (contains_class(target, "inactive")) 
        toggleSetting("enable_cache", target);
      else                                          
        return;
    }
    
    // handle show/hide all buttons
    if (target.id == "cache_filter_show_all" || target.id == "cache_filter_hide_all")
    {
      var nodes = document.querySelectorAll("#sidebar_cache_filter .cacheimg_parent, #sidebar_cache_filter .cacheimg_child");

      for (var i = 0, len = nodes.length; i < len; i++)
      {
        if (contains_class(nodes[i], "disabled"))
          continue;

        toggleSetting((target.id == "cache_filter_show_all") ? "enable_cache" : "disable_cache", nodes[i]);
      }    
    }
    
    // --- handle left menu ---
    runLI(target);
  });
})();  