SMap.CONFIG = {};
SMap.CONFIG.scheme = "http";
SMap.CONFIG.version = "89";
SMap.CONFIG.base = SMap.CONFIG.scheme + "://api4.mapy.cz";
SMap.CONFIG.img = "" + window.basePath + "Seznam/img/api";

SMap.CONFIG[SMap.DEF_BASE] = {
	zoom: [3, 16],
	label: "Obecná",
	preview: "preview-zakladni.png",
	url: "http://m#.mapserver.mapy.cz/base/",
	copyright: {
		"1-4": "Seznam.cz, a.s.",
		"5-": ["Seznam.cz, a.s.", "<a href=\"http://firma.mapy.cz\" target=\"_blank\">Mapy.cz, s.r.o.</a>"]
	}
};

SMap.CONFIG[SMap.DEF_OPHOTO] = {
	zoom: [3, 18],
	label: "Letecká",
	preview: "preview-letecka.png",
	url: "http://m#.mapserver.mapy.cz/ophoto/",
	copyright: {
		"1-6": "NASA Earth Observatory",
		"7-10": ["GEODIS BRNO, s.r.o", "USGS & NASA. Datasource: Global Land Cover Facility"],
		"11-": "GEODIS BRNO, s.r.o"
	}
};

SMap.CONFIG[SMap.DEF_TURIST] = {
	zoom: [3, 16],
	label: "Turistická",
	preview: "preview-turisticka.png",
	url: "http://m#.mapserver.mapy.cz/turist/",
	copyright: {
		"-": ["Seznam.cz, a.s.", "<a href=\"http://firma.mapy.cz\" target=\"_blank\">Mapy.cz, s.r.o.</a>"]
	}
};

SMap.CONFIG[SMap.DEF_HISTORIC] = {
	zoom: [5, 13],
	label: "Historická",
	title: "Historická 1836–1852",
	preview: "preview-historicka.png",
	url: "http://m#.mapserver.mapy.cz/army2/",
	copyright: {
		"5-13": ["2nd Military Survey, Austrian State Archive", "Datový podklad MŽP ČR", "Laboratoř geoinformatiky UJEP"]
	}
};

SMap.CONFIG[SMap.DEF_HYBRID] = {
	options: {
		animTime: 0,
		fadeTime: 0,
		prefetch: 0,
		alpha: true
	},
	url: "http://m#.mapserver.mapy.cz/hybrid/",
	copyright: {
		"-": ["Seznam.cz, a.s.", "<a href=\"http://firma.mapy.cz\" target=\"_blank\">Mapy.cz, s.r.o.</a>", "2011 NAVTEQ All rights reserved"]
	}
};

SMap.CONFIG[SMap.DEF_OPHOTO0203] = {
	zoom: [3, 16],
	url: "http://m#.mapserver.mapy.cz/ophoto0203/",
	label: "Letecká '03",
	title: "Letecká 2002–2003",
	preview: "preview-letecka0203.png",
	copyright: {
		"1-6": "NASA Earth Observatory",
		"7-10" :"USGS & NASA. Datasource: Global Land Cover Facility",
		"11-": "GEODIS BRNO, s.r.o"
	}
};

SMap.CONFIG[SMap.DEF_OPHOTO0406] = {
	zoom: [3, 18],
	url: "http://m#.mapserver.mapy.cz/ophoto0406/",
	label: "Letecká '06",
	title: "Letecká 2004–2006",
	preview: "preview-letecka0406.png",
	copyright: {
		"1-6": "NASA Earth Observatory",
		"7-10" :"USGS & NASA. Datasource: Global Land Cover Facility",
		"11-": "GEODIS BRNO, s.r.o"
	}
};

SMap.CONFIG[SMap.DEF_TRAIL] = {
	options: {
		animTime: 0,
		fadeTime: 0,
		prefetch: 0,
		alpha: true
	},
	url: "http://m#.mapserver.mapy.cz/ttur/",
	copyright: {
		"3-16": ["Seznam.cz, a.s.", "<a href=\"http://firma.mapy.cz\" target=\"_blank\">Mapy.cz, s.r.o.</a>"]
	}
};

SMap.CONFIG[SMap.DEF_BIKE] = {
	options: {
		animTime: 0,
		fadeTime: 0,
		prefetch: 0,
		alpha: true
	},
	url: "http://m#.mapserver.mapy.cz/tcyklo/",
	copyright: {
		"3-16": ["Seznam.cz, a.s.", "<a href=\"http://firma.mapy.cz\" target=\"_blank\">Mapy.cz, s.r.o.</a>"]
	}
};

SMap.CONFIG[SMap.DEF_RELIEF_L] = {
	options: {
		animTime: 0,
		fadeTime: 0,
		prefetch: 0,
		alpha: true
	},
	url: "http://m#.mapserver.mapy.cz/relief-l/",
	copyright: {
		"-": "Seznam.cz, a.s."
	}
};

SMap.CONFIG[SMap.DEF_RELIEF_H] = {
	options: {
		animTime: 0,
		fadeTime: 0,
		prefetch: 0,
		alpha: true
	},
	url: "http://m#.mapserver.mapy.cz/relief-h/",
	copyright: {
		"-": "Seznam.cz, a.s."
	}
};

SMap.CONFIG[SMap.DEF_RELIEF] = {
	zoom: [3, 15],
	options: {
		animTime: 0,
		fadeTime: 0,
		prefetch: 0,
		alpha: true
	},
	url: "http://m#.mapserver.mapy.cz/relief/",
	copyright: {
		"-": "Seznam.cz, a.s."
	}
};

SMap.CONFIG[SMap.DEF_OBLIQUE] = {
	url: "http://m#.mapserver.mapy.cz/oblique/",
	copyright: {
		"-": ["GEODIS BRNO, s.r.o", "Seznam.cz, a.s."]
	}
};

SMap.CONFIG[SMap.DEF_OBLIQUE_HYBRID] = {
	options: {
		animTime: 0,
		fadeTime: 0,
		prefetch: 0,
		alpha: true
	},
	url: "http://m#.mapserver.mapy.cz/oblique_hybrid/",
	copyright: {
		"-": ["Seznam.cz, a.s.", "<a href=\"http://firma.mapy.cz\" target=\"_blank\">Mapy.cz, s.r.o.</a>"]
	}
};


SMap.CONFIG[SMap.DEF_SMART_BASE] = {
	label: "Obecná",
	preview: "preview-zakladni.png"
};

SMap.CONFIG[SMap.DEF_SMART_TURIST] = {
	label: "Turistická",
	preview: "preview-turisticka.png",
	url: "http://m#.mapserver.mapy.cz/{}/"
};

SMap.CONFIG[SMap.DEF_SMART_OPHOTO] = {
	label: "Letecká",
	preview: "preview-letecka.png"
};

SMap.CONFIG.obliqueExtents = [
	[[770138,5501050],[770724,5501922],[771503,5502061],[771999,5501922],[772165,5500961],[773167,5501044],[773370,5497509],[772468,5497186],[771504,5498309],[771048,5497826],[770638,5498032],[771107,5498914],[770505,5499313],[770138,5501050]],
	[[761086,5510877],[761729,5511823],[762446,5512034],[762699,5513048],[765003,5512360],[765390,5511239],[766271,5511225],[766936,5510488],[766468,5507556],[764435,5507260],[763460,5508248],[762027,5508108],[761086,5510877]],
	[[758630,5517261],[759440,5518829],[761051,5519316],[760978,5518667],[761624,5518488],[762018,5517361],[761313,5514845],[759807,5515007],[758630,5517261]],
	[[752524,5531285],[753944,5532410],[755342,5532505],[755573,5531954],[756276,5531914],[756379,5530552],[757241,5530352],[756754,5528136],[755782,5527269],[754401,5527112],[753707,5528128],[753175,5528096],[752524,5531285]],
	[[747395,5514602],[747264,5516269],[749121,5516558],[750037,5516086],[750030,5513456],[747870,5513215],[747395,5514602]],
	[[743580,5522569],[743727,5523311],[746141,5524579],[746613,5523388],[747928,5523501],[748122,5522875],[748805,5522742],[749002,5521431],[749749,5521417],[749687,5519016],[748048,5518432],[746939,5518642],[745538,5520660],[744058,5521371],[743580,5522569]],
	[[744864,5530413],[745044,5532235],[747721,5532192],[747652,5530286],[746967,5529743],[746756,5528299],[745831,5528269],[745250,5528845],[744864,5530413]],
	[[740884,5499934],[742096,5501382],[743321,5501620],[743840,5496194],[742152,5495524],[741898,5496905],[740527,5499367],[740884,5499934]],
	[[739176,5533381],[739615,5534105],[739398,5535708],[741689,5535908],[743518,5535439],[743667,5532905],[741811,5532600],[741197,5531370],[739701,5531147],[739176,5533381]],
	[[737492,5507996],[739345,5509236],[737864,5511775],[738013,5512717],[739738,5512828],[740724,5511862],[741736,5511838],[743312,5510864],[743664,5507024],[740915,5506708],[740387,5505661],[738523,5505379],[737644,5506501],[737492,5507996]],
	[[725410,5527792],[729231,5529027],[729742,5528922],[729929,5527874],[730930,5527682],[731844,5528684],[732667,5528824],[732854,5529468],[734348,5530047],[734387,5530480],[736101,5530778],[736364,5529545],[737620,5529625],[738187,5524461],[739189,5524562],[740186,5522514],[739964,5519650],[738474,5519467],[738071,5518561],[736296,5518408],[735786,5517231],[734642,5517039],[733986,5518070],[730533,5518430],[729783,5519789],[731080,5521643],[731028,5522496],[728865,5523545],[726784,5523319],[725410,5527792]],
	[[733896,5537317],[736386,5537800],[736562,5534816],[734470,5534553],[733896,5537317]],
	[[730644,5494564],[731991,5495449],[732726,5495267],[733296,5494465],[734250,5494214],[734143,5493243],[733417,5492414],[731180,5492152],[730644,5494564]],
	[[731000,5512183],[732029,5513013],[733542,5512937],[734253,5510337],[734040,5509539],[732018,5509165],[731000,5512183]],
	[[731865,5502293],[731558,5503858],[733010,5504382],[733940,5504208],[734260,5501070],[732276,5500789],[731865,5502293]],
	[[723576,5499282],[723841,5499920],[724857,5500252],[724521,5501353],[725663,5501759],[725316,5504644],[726314,5504921],[726764,5505813],[728434,5506043],[728741,5504513],[728075,5503409],[728178,5502279],[729387,5502412],[729637,5501465],[730647,5501422],[729402,5498427],[728195,5497548],[724210,5497045],[723576,5499282]],
	[[727442,5532866],[728012,5534158],[729490,5534498],[729977,5533738],[730141,5531297],[728268,5531412],[727442,5532866]],
	[[725025,5484584],[727002,5485842],[728603,5486034],[729431,5485674],[729811,5484740],[729120,5483203],[727718,5482259],[726789,5483188],[725756,5483131],[725025,5484584]],
	[[718456,5511734],[718527,5512832],[719266,5513220],[720565,5513339],[722509,5512198],[721706,5510547],[719675,5509730],[718907,5510082],[718456,5511734]],
	[[715183,5471657],[715175,5472113],[715618,5472172],[716498,5471291],[717776,5471551],[718689,5470600],[720498,5470534],[720521,5469857],[719461,5469390],[718539,5468247],[716511,5468375],[714894,5471352],[715183,5471657]],
	[[715331,5498870],[716205,5499439],[716866,5500809],[719222,5501068],[720228,5500246],[720190,5498858],[719250,5498702],[719214,5497239],[718387,5496679],[717117,5496483],[716595,5497166],[715192,5497441],[714873,5498559],[715331,5498870]],
	[[714906,5517243],[716632,5517750],[717013,5518694],[718022,5518684],[718999,5516613],[718869,5515429],[716474,5515105],[714906,5517243]],
	[[713317,5487688],[713356,5488689],[714528,5488836],[714702,5487364],[715549,5487093],[715775,5486070],[717121,5486011],[716822,5482864],[716139,5481736],[714789,5483370],[714079,5483354],[713317,5487688]],
	[[713962,5537561],[716041,5538125],[716578,5534461],[714508,5534179],[713962,5537561]],
	[[704287,5537118],[704992,5538335],[704997,5539970],[706368,5539966],[706632,5539432],[709896,5538161],[711472,5535092],[710768,5534900],[710068,5533440],[712007,5533862],[712354,5533388],[712857,5530726],[712619,5529870],[710546,5529509],[709922,5532613],[708439,5533258],[707846,5534474],[704930,5534530],[704625,5534976],[704924,5536165],[704287,5537118]],
	[[706900,5511685],[709873,5512714],[710675,5511889],[710297,5510416],[707838,5510102],[707179,5510289],[706900,5511685]],
	[[704741,5527449],[704433,5529448],[705660,5530013],[706961,5529878],[707142,5526382],[705140,5526133],[704741,5527449]],
	[[702579,5506923],[703176,5507415],[705205,5507193],[705521,5506412],[705022,5504488],[703761,5504549],[702579,5506923]],
	[[698974,5442221],[699446,5442424],[699664,5443402],[700491,5443277],[701141,5444079],[701930,5444104],[702178,5442453],[701176,5441545],[699476,5440961],[698974,5442221]],
	[[695849,5493886],[696089,5494721],[697294,5495122],[697315,5495692],[698819,5495932],[700404,5494555],[699793,5492310],[699043,5492179],[698608,5490965],[696505,5491537],[695849,5493886]],
	[[696792,5518539],[697483,5518829],[697719,5519872],[699070,5520440],[699119,5518819],[699620,5518522],[698984,5516647],[697172,5517483],[696792,5518539]],
	[[689505,5455571],[688975,5456475],[690888,5456894],[691720,5457894],[691350,5458822],[693226,5459532],[694911,5459598],[695154,5458986],[696300,5459369],[696268,5458097],[697851,5458349],[698087,5457497],[698972,5456891],[698813,5456042],[697134,5455368],[692877,5455317],[690660,5454495],[689505,5455571]],
	[[691040,5435708],[693468,5435531],[696823,5436406],[696710,5435053],[695254,5434454],[694425,5432858],[693226,5432657],[691572,5434015],[690744,5435648],[691040,5435708]],
	[[692044,5476402],[693563,5477244],[694591,5477219],[695703,5475961],[695506,5475246],[693064,5474570],[692044,5476402]],
	[[691140,5553787],[692604,5554412],[694812,5554339],[695521,5553104],[695615,5551734],[691726,5551232],[691140,5553787]],
	[[690094,5524621],[690015,5525016],[690521,5525138],[692743,5525120],[692745,5521848],[690751,5521505],[689844,5524082],[690094,5524621]],
	[[687557,5520047],[687534,5520763],[689428,5521661],[690053,5520963],[690195,5518309],[688083,5518074],[687557,5520047]],
	[[683930,5467904],[684912,5468308],[684889,5468813],[689704,5470393],[689455,5468956],[688930,5468809],[688310,5466921],[687257,5466380],[686644,5466327],[686231,5466960],[684377,5466924],[683930,5467904]],
	[[685079,5489840],[685076,5490319],[685981,5490980],[688144,5491392],[688927,5490973],[688809,5489717],[687607,5489052],[687373,5488364],[685851,5488627],[685079,5489840]],
	[[682269,5450846],[683342,5452278],[684017,5452296],[683962,5448766],[682763,5448643],[682269,5450846]],
	[[676478,5438781],[677408,5440647],[678795,5440877],[679883,5439339],[681438,5439911],[681841,5437261],[680265,5436471],[677801,5438344],[676669,5438286],[676478,5438781]],
	[[678099,5466108],[677941,5466680],[678584,5466859],[679118,5467956],[680049,5467938],[680063,5467423],[680527,5467356],[680676,5464392],[680113,5464309],[679352,5465352],[678526,5465305],[678099,5466108]],
	[[674377,5481648],[675532,5481926],[675350,5483696],[677144,5484414],[677675,5484328],[677766,5483640],[679516,5483156],[680275,5481885],[678667,5478707],[677540,5478543],[676712,5479152],[675681,5479071],[674377,5481648]],
	[[674390,5541729],[674666,5542400],[675860,5542712],[676258,5544107],[677661,5544421],[678749,5543043],[678512,5540561],[677351,5539956],[677239,5539273],[675369,5539007],[674390,5541729]],
	[[671570,5461932],[671218,5463416],[671940,5463779],[672672,5466519],[673910,5466972],[673966,5466398],[675578,5465641],[675546,5465087],[676422,5464483],[676562,5462888],[675469,5462725],[674922,5461137],[673162,5461303],[672659,5462386],[671570,5461932]],
	[[672400,5425615],[672626,5426748],[674708,5426713],[674859,5424391],[672867,5424177],[672400,5425615]],
	[[668601,5533219],[669065,5533628],[672272,5533558],[672149,5532505],[671121,5531206],[669851,5531025],[668918,5531664],[668601,5533219]],
	[[668364,5419739],[668398,5421673],[670529,5421908],[670716,5418861],[668815,5418692],[668364,5419739]],
	[[658453,5496280],[659652,5497365],[659546,5498379],[660140,5498853],[660149,5499560],[662028,5499141],[662824,5500274],[663842,5500170],[664229,5499506],[666050,5499839],[666341,5498561],[667903,5496819],[666645,5493330],[666213,5493047],[664332,5493657],[663360,5491812],[662303,5491290],[660562,5493634],[659874,5493855],[659497,5494919],[658754,5494992],[658453,5496280]],
	[[663197,5511870],[663136,5512434],[664063,5512424],[665058,5513654],[666387,5513662],[666424,5510837],[665763,5509283],[664872,5509193],[664539,5509854],[663804,5509766],[663197,5511870]],
	[[663853,5549826],[663885,5550999],[666239,5551737],[666343,5548633],[664268,5548348],[663853,5549826]],
	[[661330,5534468],[661496,5535807],[663391,5536144],[663690,5535139],[665568,5534989],[665686,5533726],[662515,5532991],[661905,5533216],[661330,5534468]],
	[[653120,5338158],[653330,5339118],[656130,5339319],[658200,5340742],[663212,5341457],[663139,5339858],[662016,5339421],[661710,5338459],[659727,5336492],[659662,5334036],[656447,5333622],[654009,5334268],[653120,5338158]],
	[[660348,5525533],[662714,5525538],[662902,5522505],[660875,5522237],[660242,5524158],[660348,5525533]],
	[[657797,5552369],[660056,5553563],[660686,5553286],[661237,5549544],[661017,5548078],[658869,5547847],[657797,5552369]],
	[[653986,5413973],[655150,5416435],[655910,5415910],[657165,5416248],[657818,5414825],[656836,5414068],[656866,5412982],[656277,5412323],[654274,5412925],[653986,5413973]],
	[[648583,5482193],[648783,5483073],[650892,5484038],[650564,5485188],[651325,5485382],[652493,5484821],[653223,5486000],[654590,5486214],[656499,5484837],[657199,5482946],[656717,5481596],[655779,5481295],[655659,5479702],[654730,5479568],[652704,5480087],[651811,5481196],[649156,5480918],[648583,5482193]],
	[[654067,5431787],[654379,5432306],[656513,5432466],[656650,5431436],[656438,5430737],[654589,5430452],[654067,5431787]],
	[[651275,5515614],[651582,5517918],[655629,5517900],[654716,5515903],[653501,5515662],[653026,5514879],[651655,5514754],[651275,5515614]],
	[[648338,5509524],[650099,5510239],[650136,5509480],[651070,5509237],[650761,5507598],[649305,5507427],[648338,5509524]],
	[[644011,5461057],[644491,5461840],[646276,5462098],[646297,5459873],[644591,5459661],[644011,5461057]],
	[[639002,5539304],[640047,5539641],[640806,5538790],[642197,5539257],[643028,5538240],[644181,5538235],[644148,5537322],[642186,5535521],[639975,5535271],[639944,5537847],[639002,5539304]],
	[[636536,5516608],[636990,5517518],[639166,5517862],[641025,5516687],[640125,5514909],[639436,5514809],[637892,5514904],[636536,5516608]],
	[[637862,5402093],[637360,5403308],[638044,5404579],[639469,5405399],[639748,5403020],[640485,5401789],[638970,5401362],[637862,5402093]],
	[[634951,5447606],[637233,5447977],[637884,5446950],[637585,5445970],[635515,5445686],[634951,5447606]],
	[[635017,5498116],[636829,5498153],[637141,5497532],[637916,5497561],[637242,5494308],[636220,5494181],[635299,5494816],[634770,5496058],[635017,5498116]],
	[[632835,5527764],[632928,5529134],[635330,5529568],[635814,5529086],[636537,5529172],[636312,5527894],[637380,5526617],[637243,5525788],[634353,5525829],[633421,5526447],[632835,5527764]],
	[[627497,5399823],[627830,5400635],[627317,5401845],[629628,5402293],[630468,5401765],[630273,5399504],[627921,5399239],[627497,5399823]],
	[[624264,5550447],[623937,5551320],[626644,5550728],[626669,5549178],[624674,5549387],[624264,5550447]],
	[[604024,5460405],[606499,5460010],[606608,5458729],[608175,5458103],[608842,5456868],[609663,5456871],[611649,5455270],[613385,5455880],[613063,5457814],[613792,5458407],[613880,5459315],[615906,5459836],[616489,5458937],[616732,5456819],[620147,5457151],[621202,5454968],[622024,5455037],[622235,5454460],[624424,5454451],[624575,5453594],[625841,5453153],[625512,5451295],[624118,5450879],[623890,5447264],[617540,5446468],[613043,5446982],[611948,5448712],[612024,5449800],[612866,5450220],[613095,5451356],[612312,5451760],[610918,5454484],[609872,5454097],[609439,5454416],[607347,5457564],[605840,5457398],[604960,5459079],[605759,5459588],[604545,5459500],[604024,5460405]],
	[[624791,5448800],[625632,5449385],[626331,5449238],[626330,5448377],[626762,5448266],[626189,5446574],[625789,5447019],[625456,5446499],[624791,5448800]],
	[[617348,5514288],[617364,5515076],[618541,5515942],[618466,5516473],[619971,5516684],[620513,5515603],[622337,5515186],[622694,5514302],[622494,5513204],[620050,5512201],[618876,5512334],[618378,5513347],[617616,5513247],[617348,5514288]],
	[[617508,5482884],[617941,5483599],[617454,5484737],[620063,5485732],[620866,5484783],[622374,5484381],[622714,5482870],[622436,5482158],[621469,5482044],[619940,5482873],[617994,5482287],[617508,5482884]],
	[[618820,5407277],[619154,5408089],[618709,5408912],[620798,5409166],[621292,5408652],[621022,5406908],[619256,5406661],[618820,5407277]],
	[[618439,5469857],[618974,5471573],[619944,5471653],[620396,5471274],[620835,5469017],[619821,5467907],[618653,5468525],[618439,5469857]],
	[[614011,5531522],[615310,5532555],[616583,5532682],[617281,5532026],[617084,5529737],[615989,5529297],[614605,5529466],[613770,5530503],[614011,5531522]],
	[[612431,5490201],[612439,5493076],[615291,5492183],[614707,5488162],[613686,5488877],[612964,5488726],[612431,5490201]],
	[[613201,5543604],[614013,5544134],[614160,5545361],[614608,5545579],[615281,5544983],[615517,5544155],[615114,5543170],[613546,5542961],[613201,5543604]],
	[[608942,5463720],[609060,5464302],[610778,5464635],[610474,5465658],[613096,5465923],[613941,5463874],[613669,5461836],[613047,5461651],[612892,5460956],[610466,5460624],[608942,5463720]],
	[[606036,5545042],[608351,5545579],[608629,5544358],[609597,5544145],[609722,5542501],[608788,5542413],[607393,5543651],[606615,5543592],[606036,5545042]],
	[[603500,5513960],[603561,5515191],[605808,5515968],[605981,5517750],[607039,5517688],[607565,5513761],[607079,5510653],[606346,5510570],[605646,5511636],[604031,5512377],[603500,5513960]],
	[[602601,5549370],[603543,5549862],[603199,5550728],[603536,5551490],[604760,5551416],[605084,5550854],[605822,5550816],[605744,5550234],[606186,5550053],[604965,5548024],[602902,5548112],[602601,5549370]],
	[[600880,5467887],[600588,5469592],[601041,5469799],[602249,5469023],[603544,5469408],[604286,5469105],[604536,5467429],[605211,5467220],[605106,5465983],[604391,5465676],[604125,5466228],[602720,5466480],[602466,5467251],[601376,5467166],[600880,5467887]],
	[[601116,5475104],[603247,5475418],[603730,5474294],[603476,5473170],[601611,5472928],[601116,5475104]],
	[[599232,5441192],[600952,5441946],[601534,5441256],[601420,5439443],[599695,5439218],[599232,5441192]],
	[[596946,5537568],[598688,5537889],[598864,5539424],[600537,5539530],[601444,5538417],[601546,5535019],[600684,5534927],[599256,5536548],[597625,5536453],[596946,5537568]],
	[[596833,5476378],[596855,5476894],[597691,5477417],[598890,5477331],[598971,5475265],[597251,5475001],[596833,5476378]],
	[[594225,5433561],[594479,5434397],[593901,5435309],[597028,5435458],[596778,5433408],[594537,5433086],[594225,5433561]],
	[[590717,5527059],[591241,5527892],[592066,5528097],[594559,5527545],[595594,5526332],[595829,5524364],[594817,5523896],[593278,5524372],[593059,5525599],[591150,5526227],[590717,5527059]],
	[[592337,5606626],[594910,5607060],[595546,5606041],[595712,5603522],[595230,5603164],[593657,5603397],[592525,5605207],[592337,5606626]],
	[[589248,5508910],[590682,5510465],[591390,5510596],[591751,5509782],[593153,5509894],[593942,5509179],[593593,5508051],[592231,5507753],[591541,5506668],[590348,5506524],[589248,5508910]],
	[[588300,5488101],[589839,5488596],[590071,5488140],[592102,5488242],[592976,5487300],[591045,5485105],[589870,5484959],[588300,5488101]],
	[[587331,5461353],[587878,5463014],[588834,5462931],[588987,5462403],[590096,5462253],[590275,5460110],[588221,5460309],[587331,5461353]],
	[[585743,5539997],[586998,5541395],[588311,5541476],[588216,5540882],[588922,5539909],[588169,5538432],[586550,5538254],[585743,5539997]],
	[[582685,5452623],[585053,5452917],[584471,5450469],[583302,5450665],[582685,5452623]],
	[[581812,5534206],[581400,5535802],[581959,5536172],[583472,5535975],[584592,5535018],[583919,5533051],[582475,5533231],[581812,5534206]],
	[[576106,5492345],[577286,5492928],[577394,5494001],[578519,5493921],[578631,5493195],[579208,5493040],[579093,5491403],[578320,5490396],[578227,5489335],[577520,5489205],[576505,5490123],[576106,5492345]],
	[[575392,5413112],[575352,5413626],[577539,5413946],[577802,5411533],[575851,5411271],[575392,5413112]],
	[[571218,5469213],[572830,5469348],[573260,5470479],[574017,5470315],[575058,5468252],[576193,5467272],[576031,5466721],[571842,5466474],[571218,5469213]],
	[[569508,5548320],[570598,5549503],[571639,5548402],[573220,5549023],[574092,5548862],[574125,5548401],[574051,5547612],[572819,5547483],[571052,5546167],[570033,5546122],[569284,5547564],[569508,5548320]],
	[[571178,5428447],[573473,5428679],[573713,5425724],[571752,5425456],[571178,5428447]],
	[[566000,5491857],[567068,5492519],[566613,5494529],[568669,5494078],[569165,5491278],[569571,5491013],[569373,5489139],[567936,5489152],[566876,5489905],[566434,5489612],[566000,5491857]],
	[[560983,5451694],[561470,5452365],[561211,5453180],[562367,5453425],[562743,5454187],[564276,5454514],[565722,5454106],[565833,5453179],[567124,5452743],[566329,5450809],[565696,5450700],[562870,5451198],[561403,5450904],[560983,5451694]],
	[[563520,5439250],[563531,5439663],[564961,5440335],[566002,5439803],[565967,5438309],[565541,5437884],[564110,5438069],[563520,5439250]],
	[[554904,5562728],[556242,5563794],[555995,5564913],[556478,5565224],[556569,5566362],[559055,5566789],[559668,5567684],[560564,5567638],[561483,5566830],[561541,5566036],[563302,5565475],[563327,5564960],[564271,5564315],[563346,5562078],[561622,5560191],[561710,5558312],[560105,5558083],[559022,5558696],[558204,5559901],[556943,5559778],[556493,5561076],[555571,5560965],[554904,5562728]],
	[[548446,5548075],[555379,5549047],[555426,5548158],[556365,5547654],[556479,5547079],[555740,5545749],[557472,5545770],[558796,5546332],[559537,5545099],[558989,5543625],[560333,5543235],[560335,5541725],[559335,5541574],[558408,5540787],[557216,5541676],[555245,5540703],[551883,5541011],[550596,5541846],[550450,5542936],[551015,5543415],[550672,5544262],[549394,5544238],[548446,5548075]],
	[[541088,5620329],[541729,5620916],[541760,5621968],[543222,5621882],[544316,5621061],[544637,5621657],[545311,5621506],[545755,5620215],[543446,5618847],[542625,5619509],[541451,5619350],[541088,5620329]],
	[[539228,5473445],[539871,5474012],[539967,5475033],[540719,5475650],[541940,5475799],[543665,5478158],[545055,5478215],[544418,5475360],[545525,5473988],[544069,5470502],[542616,5470292],[542216,5471374],[540982,5471290],[539228,5473445]],
	[[540506,5431287],[541099,5432196],[543383,5431802],[543304,5429624],[541374,5429047],[540273,5430799],[540506,5431287]],
	[[531566,5449077],[532610,5449995],[533907,5449505],[535060,5449839],[534841,5448302],[534095,5447948],[534154,5446630],[533585,5446414],[531887,5447828],[531566,5449077]],
	[[529950,5437133],[530981,5439137],[532947,5439398],[533332,5437503],[532514,5436083],[530314,5436191],[529950,5437133]],
	[[523112,5589222],[524988,5590297],[526312,5589763],[527714,5587954],[527484,5586633],[525388,5585264],[524409,5585250],[523112,5589222]],
	[[524461,5598501],[524420,5599143],[524952,5599509],[524762,5600501],[525561,5600567],[526084,5599889],[527068,5599768],[527649,5597348],[527134,5596769],[525943,5597118],[524461,5598501]],
	[[523783,5488078],[524480,5489698],[525557,5490718],[527256,5489554],[526548,5486853],[525752,5486369],[525006,5486310],[523783,5488078]],
	[[524655,5427865],[524321,5428614],[525794,5429154],[526437,5428878],[526388,5427402],[524976,5427189],[524655,5427865]],
	[[521615,5607321],[521963,5607858],[524169,5607865],[525208,5605323],[523285,5604972],[522482,5605431],[521615,5607321]],
	[[518110,5621426],[517831,5622027],[519164,5622938],[520980,5622395],[521282,5623077],[522582,5623108],[523185,5622006],[522140,5620416],[519676,5620265],[518110,5621426]],
	[[516464,5610635],[517402,5612038],[517999,5612209],[518308,5611779],[519848,5611602],[520386,5610196],[519961,5609199],[517732,5609253],[516464,5610635]],
	[[514609,5477148],[515296,5477872],[516217,5477945],[516923,5477898],[517101,5477176],[517762,5476942],[516774,5472230],[515253,5472831],[514638,5474130],[514258,5475332],[514747,5475647],[514609,5477148]],
	[[508747,5622164],[508859,5623278],[510350,5623122],[511504,5623944],[512010,5622672],[513273,5622375],[513871,5621472],[514534,5621745],[514436,5620655],[513980,5620725],[513729,5619991],[514207,5617995],[513034,5616365],[511191,5616079],[510800,5618444],[509950,5618953],[508747,5622164]],
	[[507816,5605470],[508382,5606758],[510454,5607273],[512139,5606588],[512996,5605275],[512228,5603264],[510819,5602804],[510251,5603405],[508636,5603600],[508174,5604233],[508594,5604733],[507816,5605470]],
	[[506449,5430440],[506195,5431065],[506844,5431258],[506919,5431793],[507902,5431810],[508507,5429683],[506861,5429439],[506449,5430440]],
	[[499060,5623444],[500097,5624710],[500047,5626070],[500635,5626384],[500483,5627541],[501823,5628594],[503150,5628044],[505394,5629015],[505568,5628081],[506214,5628248],[506040,5626138],[507801,5626036],[508092,5624652],[507699,5621130],[504736,5619115],[502694,5619014],[500777,5620769],[500109,5620775],[500088,5622371],[499060,5623444]],
	[[503068,5641617],[504381,5642638],[504550,5643491],[505552,5643472],[506705,5642739],[506875,5640207],[506266,5639687],[505160,5640656],[504461,5640284],[503383,5640772],[503068,5641617]],
	[[499607,5558870],[500650,5560024],[500507,5561079],[501858,5561623],[501738,5562694],[503630,5562955],[503878,5562137],[505165,5561627],[506126,5560403],[505577,5559062],[504798,5558481],[502668,5558154],[502492,5557503],[500792,5556243],[499607,5558870]],
	[[498910,5444812],[498786,5446357],[501791,5446645],[501800,5442317],[500650,5441967],[499344,5442379],[498910,5444812]],
	[[494554,5630543],[497985,5630185],[499043,5631772],[498884,5630691],[498018,5629549],[494803,5629411],[494259,5630431],[494554,5630543]],
	[[490363,5507743],[491391,5509066],[493612,5510008],[493602,5509208],[494414,5508934],[494523,5507609],[494990,5507433],[494885,5504524],[493084,5504326],[492754,5504797],[491619,5504728],[490363,5507743]],
	[[487315,5634952],[488552,5635960],[489705,5635798],[490113,5634861],[490865,5634451],[490187,5632423],[488248,5632865],[487315,5634952]],
	[[481285,5429115],[481942,5430729],[482511,5430841],[482809,5429645],[483874,5429358],[483641,5427271],[482872,5427996],[481728,5427650],[481285,5429115]],
	[[479077,5612339],[479843,5613779],[481025,5614109],[482014,5612548],[481999,5610735],[480489,5610161],[479838,5612041],[479303,5611901],[479077,5612339]],
	[[477604,5457963],[477556,5458542],[477976,5458642],[480271,5458559],[480754,5456971],[480178,5454694],[479142,5455247],[477604,5457963]],
	[[476536,5449197],[476825,5449764],[478510,5450544],[479103,5451965],[479691,5451956],[480178,5451149],[480374,5448556],[477750,5446971],[476536,5449197]],
	[[443193,5552878],[443902,5554302],[445854,5554407],[446199,5555082],[448406,5555464],[448472,5556060],[452326,5556660],[452328,5557411],[453165,5558390],[457370,5558835],[458082,5559443],[460121,5559867],[460139,5560491],[461442,5560748],[461844,5561433],[467108,5562313],[468102,5560672],[469982,5559961],[470096,5559393],[472222,5559265],[472572,5558773],[472395,5556365],[474718,5556639],[474853,5555813],[477045,5555664],[476887,5553538],[479045,5552962],[478931,5552136],[479917,5551971],[480101,5550654],[479731,5548322],[478996,5547017],[476916,5546538],[477385,5544350],[477085,5543225],[477754,5542921],[477169,5540879],[475643,5538781],[472147,5538238],[471771,5538870],[469849,5539834],[467485,5539597],[466883,5538175],[463930,5537767],[463804,5537302],[462441,5536936],[462373,5535715],[458067,5534478],[457535,5532637],[455670,5532317],[454111,5533384],[451647,5533011],[450632,5534143],[449643,5535877],[450381,5536358],[449785,5537646],[450194,5538107],[449306,5539079],[448674,5539092],[447413,5540913],[448337,5541612],[444279,5547786],[445361,5548946],[444030,5550208],[442864,5552474],[443193,5552878]],
	[[472689,5474766],[473016,5475493],[474353,5476022],[475038,5477279],[475870,5477380],[476228,5476376],[477129,5477146],[477986,5476717],[477705,5475344],[478023,5474280],[479848,5473450],[479822,5472738],[477979,5471826],[479131,5470799],[479044,5468186],[478456,5467994],[477213,5468873],[475909,5471615],[476001,5472693],[474586,5472845],[473068,5473910],[472689,5474766]],
	[[475472,5514358],[476626,5517010],[478381,5516447],[478495,5515748],[479227,5515455],[479224,5514237],[478595,5513304],[477027,5512540],[475472,5514358]],
	[[473724,5603736],[474689,5604221],[475332,5603539],[476963,5603512],[477036,5601921],[475694,5600659],[474613,5601387],[473724,5603736]],
	[[471307,5641831],[472051,5642640],[474403,5642673],[474855,5641571],[475719,5641123],[475693,5639667],[474551,5639048],[473818,5637510],[472810,5637501],[472348,5638248],[472226,5639393],[471635,5639505],[471307,5641831]],
	[[466710,5646091],[467192,5646966],[468130,5647180],[468333,5648326],[470020,5648004],[469865,5645831],[470764,5645084],[470481,5643702],[469002,5643904],[467694,5643323],[466710,5646091]],
	[[467027,5623811],[467248,5625563],[467966,5625915],[468733,5625592],[468781,5624925],[469382,5624774],[469443,5622430],[468165,5622136],[467287,5622537],[467027,5623811]],
	[[464402,5616285],[464724,5617336],[467843,5618517],[469546,5615791],[469182,5613762],[466529,5612682],[464523,5614380],[464899,5615366],[464402,5616285]],
	[[457292,5427539],[459013,5428369],[459434,5429327],[462823,5430158],[463458,5428904],[465145,5427728],[465363,5426247],[464646,5423668],[461840,5422497],[461309,5421413],[460774,5421376],[459168,5423254],[458737,5425408],[457292,5427539]],
	[[461059,5399210],[460852,5399750],[461394,5400056],[461365,5400625],[462807,5400885],[464207,5399333],[463663,5397844],[462009,5397633],[461059,5399210]],
	[[457398,5435152],[458080,5436069],[458888,5435811],[460183,5436186],[460216,5435623],[461201,5434882],[460865,5433644],[460219,5433139],[458436,5432929],[457398,5435152]],
	[[457181,5501077],[457316,5502213],[458507,5503780],[459094,5503697],[459404,5502051],[460399,5502029],[460800,5501337],[460219,5500132],[458363,5499392],[457181,5501077]],
	[[455996,5453751],[456193,5454247],[458291,5454857],[459334,5452816],[458991,5451122],[458013,5450943],[456815,5451913],[455996,5453751]],
	[[454178,5591139],[454930,5591876],[456196,5591996],[456609,5591026],[457202,5590904],[457023,5589617],[455746,5588469],[455111,5588741],[454178,5591139]],
	[[452270,5477897],[452718,5478528],[452564,5479288],[454023,5480614],[455137,5479103],[455162,5478219],[456320,5477584],[455858,5476676],[454266,5476405],[452855,5476955],[452270,5477897]],
	[[447952,5408191],[448726,5408782],[448880,5409660],[450138,5409318],[451745,5409607],[451616,5408267],[449617,5405024],[448527,5405117],[448268,5405609],[448575,5406913],[447952,5408191]],
	[[445314,5586993],[446184,5588149],[448142,5587492],[449571,5589140],[450309,5588923],[449731,5586492],[447351,5585010],[446375,5584935],[445314,5586993]],
	[[440882,5625264],[441225,5626304],[441845,5626522],[443445,5626564],[445732,5627586],[446737,5627066],[446354,5624309],[444672,5624041],[444061,5622647],[441876,5622371],[440882,5625264]],
	[[438963,5516182],[440140,5517341],[441699,5517190],[441897,5515982],[441244,5515876],[440738,5514456],[439830,5513995],[438963,5516182]],
	[[431944,5555658],[431319,5557157],[433723,5557982],[433457,5558942],[433953,5559604],[435593,5560389],[436691,5560480],[437721,5559493],[438628,5559564],[439333,5558290],[440514,5558846],[441445,5558100],[441369,5556674],[438961,5555106],[438639,5552659],[438077,5552042],[436119,5552475],[435422,5553931],[434300,5554488],[432811,5554036],[431944,5555658]],
	[[431162,5598417],[432768,5598997],[432787,5598346],[433885,5597381],[436146,5597746],[436280,5596304],[434507,5595448],[432042,5595421],[431052,5597194],[431162,5598417]],
	[[436896,5598134],[436088,5599990],[436942,5601365],[438360,5601607],[439469,5600473],[440377,5600393],[441431,5599509],[441374,5598391],[436896,5598134]],
	[[438166,5445215],[439222,5445999],[440931,5446194],[441272,5443609],[439042,5443336],[438166,5445215]],
	[[435526,5463037],[436377,5463892],[436215,5464508],[438811,5465050],[440220,5464341],[439566,5460984],[438677,5460048],[437386,5460231],[436874,5460955],[435973,5460794],[435487,5461646],[435526,5463037]],
	[[427059,5617057],[430515,5617476],[431267,5616731],[432252,5616582],[432743,5615470],[433689,5615445],[434337,5614825],[435475,5615193],[436006,5615978],[437786,5616066],[437980,5614371],[436647,5612643],[434756,5612337],[434312,5611277],[432913,5610734],[432337,5610695],[431592,5611618],[429063,5611385],[427529,5614630],[428447,5615041],[427059,5617057]],[[429110,5614781],[428720,5614943],[428555,5614549],[428949,5614386],[429110,5614781]],
	[[432682,5565671],[432787,5566737],[435338,5567487],[436744,5566089],[436889,5564595],[433935,5563074],[433252,5563482],[432682,5565671]],
	[[425439,5503905],[425681,5505395],[426820,5506494],[426523,5507332],[426947,5507664],[428770,5507786],[429391,5506706],[431150,5505940],[430736,5504457],[429756,5504611],[429285,5502906],[428086,5502714],[426696,5501542],[426060,5501754],[425439,5503905]],
	[[425679,5429444],[425342,5431857],[426670,5431903],[427407,5431381],[428176,5431718],[428183,5428001],[426449,5428198],[425679,5429444]],
	[[413402,5611676],[413447,5612580],[414297,5613204],[413636,5616538],[414212,5616625],[414787,5615511],[417407,5615925],[419116,5616736],[419463,5616299],[422623,5616696],[422334,5614132],[419993,5613301],[419755,5611467],[420876,5609581],[420586,5608512],[418924,5608317],[418067,5609485],[417594,5609303],[417486,5608443],[415775,5608532],[415345,5609668],[414019,5610451],[413402,5611676]],
	[[418049,5458775],[417940,5459197],[420028,5460020],[421146,5460173],[421372,5459727],[422395,5459693],[422537,5457024],[422096,5456820],[421846,5455551],[420209,5455015],[418049,5458775]],
	[[418885,5520918],[419040,5522532],[419656,5523105],[420284,5522843],[421887,5523441],[422424,5520974],[420988,5520431],[418885,5520918]],
	[[416813,5476576],[417180,5477534],[418462,5477888],[420220,5477235],[420053,5475706],[419199,5474471],[417110,5475309],[416813,5476576]],
	[[411659,5579347],[413445,5580946],[414098,5581051],[414439,5580606],[415949,5581259],[416929,5580464],[416293,5577561],[415414,5578102],[414251,5577965],[413809,5578895],[411815,5578691],[411659,5579347]],
	[[409546,5608207],[409828,5609487],[410462,5609836],[412783,5607624],[413408,5607733],[413392,5608712],[414334,5608487],[414677,5606484],[415827,5606505],[416183,5605704],[416200,5602925],[414534,5603057],[414477,5601588],[415255,5601350],[415181,5600689],[414590,5599615],[413995,5599662],[413575,5599046],[411855,5599266],[411378,5601158],[411783,5601533],[411621,5602946],[412590,5603751],[412359,5605365],[412087,5605890],[410593,5606350],[409546,5608207]],
	[[408691,5436355],[411213,5437663],[411424,5436520],[412492,5436535],[412465,5435630],[413210,5435378],[413095,5434112],[410470,5433437],[409524,5434015],[408691,5436355]],
	[[406473,5553218],[407721,5553632],[410151,5552718],[410996,5552066],[410946,5549767],[408685,5549513],[407095,5551014],[406473,5553218]],
	[[399335,5592905],[401527,5594085],[399863,5596881],[399597,5598578],[401289,5598696],[401602,5599252],[402752,5599408],[403322,5599019],[404473,5599660],[404505,5598796],[406430,5597148],[407455,5598306],[408399,5598596],[408628,5595656],[410192,5593448],[409494,5592253],[408030,5593773],[406049,5593168],[405292,5593406],[403880,5591195],[401770,5591894],[399841,5591674],[399335,5592905]],[[400760,5596761],[401068,5596454],[401446,5596764],[401119,5597068],[400760,5596761]],
	[[397126,5606333],[398047,5606837],[397869,5607558],[399747,5607888],[399460,5609498],[400128,5610479],[401913,5609969],[403146,5608552],[403737,5608607],[404395,5609589],[405625,5609606],[405236,5607872],[405907,5607661],[406010,5603617],[404882,5603166],[404193,5604281],[403222,5604403],[402681,5605260],[397784,5604666],[397126,5606333]],
	[[396482,5511202],[397155,5512555],[398398,5512763],[398763,5513270],[399687,5513333],[400694,5512241],[400199,5509890],[399292,5509396],[398132,5509581],[396482,5511202]],
	[[393520,5577673],[393694,5578598],[395556,5578426],[395943,5579435],[396644,5579787],[396883,5578867],[397867,5578825],[397526,5577454],[398545,5576763],[398499,5575567],[395293,5574807],[393520,5577673]],
	[[384838,5590464],[384936,5593383],[386217,5594563],[387045,5594540],[387063,5595832],[388140,5596972],[389680,5597337],[390011,5598084],[390926,5598077],[391411,5596458],[390747,5593443],[389767,5593211],[389226,5593578],[388922,5593161],[389938,5592150],[389342,5589432],[387973,5589542],[385559,5588575],[384949,5589247],[384838,5590464]],
	[[376547,5513278],[376927,5514213],[378430,5515136],[378534,5515672],[382005,5516984],[383705,5517202],[386833,5516460],[386915,5515614],[387841,5515585],[388225,5514895],[387968,5513357],[388344,5512624],[388123,5511482],[387457,5511323],[386743,5505557],[386121,5505414],[385445,5506050],[384691,5507661],[381459,5507881],[380846,5509158],[378158,5509564],[377376,5510785],[377632,5512051],[376942,5512165],[376547,5513278]],
	[[384547,5564496],[384998,5564735],[385197,5566445],[387079,5567072],[387000,5564644],[385751,5564442],[385548,5563754],[384737,5563651],[384547,5564496]],
	[[377595,5494108],[377870,5494569],[379930,5494993],[380603,5493007],[378559,5491695],[377595,5494108]],
	[[368721,5581875],[369548,5582999],[368810,5585159],[370193,5585344],[370597,5586290],[371789,5586394],[372568,5584171],[373809,5584123],[374142,5583141],[372714,5582682],[372283,5581935],[370943,5582770],[370095,5582588],[369477,5581634],[368721,5581875]],
	[[374773,5583162],[374745,5583548],[375490,5583667],[375517,5585279],[378137,5585706],[377671,5583899],[378456,5583514],[378652,5582505],[378087,5581115],[377629,5580969],[374773,5583162]],
	[[375405,5501688],[376295,5503399],[378155,5503489],[378198,5501966],[376687,5501048],[376565,5500304],[376018,5500244],[375405,5501688]],
	[[373314,5474517],[373871,5475201],[373797,5476092],[377001,5475564],[377115,5474658],[377864,5474529],[378010,5473967],[377339,5470667],[376679,5470188],[375949,5470515],[375460,5471916],[374533,5472148],[373749,5473084],[373314,5474517]],
	[[368661,5509305],[370016,5510009],[372113,5509868],[372288,5507744],[369829,5507344],[368661,5509305]],
	[[353710,5514344],[355018,5514674],[355092,5515483],[356679,5515527],[356891,5512231],[355482,5511453],[355051,5512786],[354003,5513284],[353710,5514344]],
	[[347432,5479459],[348934,5480676],[350478,5480828],[351435,5479074],[352546,5478876],[352351,5476957],[350755,5477116],[349983,5477994],[348116,5478132],[347432,5479459]],
	[[343504,5566959],[344203,5568049],[343869,5570073],[346173,5570275],[346762,5569461],[348923,5569885],[349059,5569347],[350395,5569032],[350621,5568568],[350632,5566341],[349939,5566147],[349512,5564813],[347556,5565931],[344627,5564864],[343504,5566959]],
	[[341193,5558334],[342223,5558376],[344243,5557356],[344926,5557550],[343466,5554445],[341699,5555049],[341193,5558334]],
	[[337422,5568201],[338298,5569758],[339836,5569674],[340578,5568682],[340746,5566785],[338976,5566181],[337422,5568201]],
	[[336478,5577369],[337435,5578999],[339215,5578995],[339815,5578428],[339932,5576421],[337493,5576427],[336478,5577369]],
	[[333572,5537307],[333504,5538101],[334781,5538555],[334741,5540194],[336163,5539736],[335979,5537946],[336123,5537192],[336687,5537056],[336656,5535837],[335570,5535247],[334766,5535506],[333572,5537307]],
	[[330309,5560556],[330842,5561795],[330692,5563667],[333344,5563826],[333637,5563186],[334517,5562951],[334481,5561109],[333898,5559665],[332649,5559874],[332267,5559124],[330649,5558915],[330309,5560556]],
	[[328073,5518548],[327698,5519238],[328168,5519465],[328646,5521055],[330681,5521849],[331358,5521346],[331674,5519852],[333235,5519492],[332610,5518090],[331413,5517545],[330406,5518115],[329016,5517918],[328073,5518548]],
	[[321187,5578534],[321287,5580827],[322080,5580667],[322265,5581426],[323724,5581515],[324048,5579201],[324623,5578437],[323778,5577414],[323698,5576151],[323034,5576031],[322628,5577558],[321460,5577525],[321187,5578534]],
	[[309421,5552153],[310703,5552646],[311302,5553569],[313497,5553383],[315770,5552095],[315614,5551117],[314028,5550730],[314451,5549146],[314080,5548127],[312990,5547984],[311198,5548447],[309591,5550908],[309421,5552153]],
	[[297199,5569052],[297678,5570187],[299536,5570301],[299569,5569354],[301314,5567740],[301480,5565364],[300781,5565087],[299485,5566309],[297840,5566341],[297440,5567514],[297987,5567987],[297199,5569052]]
];


SMap.CONFIG.ophotoExtents = [
[[684575.8,5410891.5],[651567.6,5410078.1],[641760,5477920],[672414.2,5479415.1],[656256.9,5502533.3],[714767.1,5494304],[731281.9,5508967.1],[717464.7,5507960.5],[721979.5,5533221.9],[756503.3,5536170.9],[776059.9,5496607.6],[757688,5499872.4],[755545.2,5520180.9],[748405.7,5503186.7],[734502.3,5506703.6],[756448,5494304],[740064,5428768],[723680,5428768],[723680,5412384],[684575.8,5410891.5]],[[553697.7,5412052.2],[510688,5412384],[510688,5396000],[494304,5396000],[494304,5379616],[461536,5379616],[461536,5363232],[445152,5363232],[445152,5379616],[412384,5379616],[412384,5396000],[396000,5396000],[346848,5461536],[314080,5461536],[314080,5494304],[297696,5494304],[297696,5527072],[314080,5527072],[314080,5543456],[281312,5559840],[281312,5592608],[379616,5608992],[379616,5625376],[412384,5625376],[412384,5641760],[445152,5641760],[445152,5658144],[477920,5658144],[477920,5641760],[494304,5641760],[494304,5658144],[527072,5658144],[527072,5641760],[559840,5641760],[559840,5625376],[608992,5625376],[608992,5576224],[641760,5576224],[641760,5509303.8],[654943.3,5519540.6],[653744,5502698.1],[641760,5502372.4],[641760,5477920],[595200.9,5471785.2],[527183.5,5509969.3],[529651,5481243.9],[510688,5463815],[540352.5,5465271.1],[543456,5445152],[560278.4,5445764.4],[553697.7,5412052.2]],[[626225.8,5449785.1],[605258.4,5441329.8],[602145.2,5461279],[625362,5461669.4],[626225.8,5449785.1]],[[696716.5,5500858.8],[682738,5522001.5],[716143,5542162.9],[701393.6,5513967],[721147.4,5514160.6],[696716.5,5500858.8]]
];
